2003-05-27 Tuesday 10:48  sfpavel

	* VERSION, debian/changelog, debian/control, debian/rules
	(smapi-2_2-stable.[6,12,3,3]): New debian release

2003-05-27 Tuesday 09:24  d_sergienko

	* makefile.bsd4 (smapi-2_2-stable.2): 
	fixed library name

2003-02-11 Tuesday 16:49  stas_degteff

	* VERSION, api_sqp.h, file_id.diz, makefile.bsd, msgapi.h,
	readme.txt, sq_area.c, sq_idx.c, sq_kill.c, sq_misc.c, sq_read.c,
	sq_uid.c, sq_write.c (smapi-2_2-stable.[5,1,7,2,4,4,1,1,1,1,1,1,1])
	(utags: smapi-2_2_3-release): smapi 2.2.3-release. Stop developming
	of branch smapi-2_2-stable

2003-01-08 Wednesday 10:45  stas_degteff

	* compiler.h, setfsize.c, tdelay.c (smapi-2_2-stable.[8,1,1])
	(utags: smapi-2_2_3-release): Fix compilation for borland C/w32.
	Thanks to Igor Romanovsky

2002-12-30 Monday 15:49  stas_degteff

	* VERSION (smapi-2_2-stable.4): Add requirements and empty line (to
	prevent illegal paches generate)

2002-12-30 Monday 15:31  stas_degteff

	* VERSION (smapi-2_2-stable.3): Set version to 2.2.2-stable

2002-12-30 Monday 15:27  stas_degteff

	* VERSION (tags: smapi-2_2_2-release) (smapi-2_2-stable.2):
	2.2.2-release

2002-12-27 Friday 12:52  sfpavel

	* Makefile (tags: smapi-2_2_3-release), file_id.diz, msgapi.h,
	debian/changelog (tags: smapi-2_2_3-release),
	debian/libsmapi2.files (tags: smapi-2_2_3-release)
	(smapi-2_2-stable.[7,6,3,11,3]) (utags: smapi-2_2_2-release): smapi
	2.2.2 release

2002-12-26 Thursday 12:30  stas_degteff

	* Makefile, makefile.bco (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.be (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.hco (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.ibo (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.lnx (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.sun (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.unx (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.wco (tags: smapi-2_2_3-release,
	smapi-2_2_2-release), makefile.wcw (tags: smapi-2_2_3-release,
	smapi-2_2_2-release) (smapi-2_2-stable.[6,1,1,1,1,1,2,2,1,1]):
	compile with  -DNOSEMAPHORES

2002-11-26 Tuesday 13:00  stas_degteff

	* compiler.h (tags: smapi-2_2_2-release) (smapi-2_2-stable.7):
	Prevent redefinition of S_ISREG

2002-11-21 Thursday 08:01  stas_degteff

	* compiler.h (smapi-2_2-stable.6): Prevent constants redefinitions
	(O_BINARY, O_RDWR, S_IFMT, S_IFDIR)

2002-11-13 Wednesday 10:59  stas_degteff

	* cvtdate.c (tags: smapi-2_2_3-release, smapi-2_2_2-release)
	(smapi-2_2-stable.1): Fix bug with NULL message date

2002-11-10 Sunday 08:28  sfpavel

	* Makefile, file_id.diz, msgapi.h, debian/libsmapi2.files
	(smapi-2_2-stable.[5,5,2,2]) (utags: smapi-2_2_1-release): smapi
	2.2.1 release

2002-10-25 Friday 11:38  stas_degteff

	* progprot.h (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.1): Bugfix: include required
	header files into progprot.h

2002-10-25 Friday 06:00  stas_degteff

	* structrw.c (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.2): Change file handle
	(open() etc) type to int: prevent compiler warnings about
	assgnments short to int on 32bit platform

2002-10-24 Thursday 14:06  stas_degteff

	* compiler.h (tags: smapi-2_2_1-release) (smapi-2_2-stable.5):
	Insert warning about unofficial gcc versions (gcc 2.96 now)

2002-10-24 Thursday 13:13  stas_degteff

	* compiler.h (smapi-2_2-stable.4): Define for old SunOs:
	VSPRINTF_ONLY

2002-10-23 Wednesday 10:37  stas_degteff

	* makefile.djg (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.3): Add 'all' tag for DJGPP
	build

2002-10-23 Wednesday 10:19  stas_degteff

	* makefile.emo, makefile.emx (smapi-2_2-stable.[1,1]) (utags:
	smapi-2_2_1-release, smapi-2_2_2-release, smapi-2_2_3-release): Use
	NOSEMAPHORES define for OS/2 compilation: semaphores don't tested

2002-10-23 Wednesday 10:05  stas_degteff

	* semaphor.h (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.2): Prevent redefine HMTX
	for Os/2 EMX compilation

2002-10-22 Tuesday 10:17  stas_degteff

	* readme.txt (tags: smapi-2_2_2-release, smapi-2_2_1-release)
	(smapi-2_2-stable.3): Update comilators list

2002-10-22 Tuesday 06:38  stas_degteff

	* Makefile, makefile.sun (tags: smapi-2_2_1-release), makefile.unx
	(tags: smapi-2_2_1-release) (smapi-2_2-stable.[4,1,1]): Fix clean &
	distclean tags in makefiles

2002-10-22 Tuesday 06:13  stas_degteff

	* api_jam.c, api_sdm.c (smapi-2_2-stable.[6,2]) (utags:
	smapi-2_2_1-release, smapi-2_2_2-release, smapi-2_2_3-release): Fix
	nested if-else

2002-10-22 Tuesday 06:10  stas_degteff

	* locking.c (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.1): Comment out unused
	variable (prevent compilation warning)

2002-10-14 Monday 17:43  sfpavel

	* debian/: changelog (tags: smapi-2_2_1-release),
	libsmapi2-dev.dirs, libsmapi2.dirs (smapi-2_2-stable.[10,1,1]): New
	debian package

2002-10-11 Friday 13:36  stas_degteff

	* api_jam.c, api_sdm.c (smapi-2_2-stable.[5,1]): Fix bug with
	signed use unsigned var in SdmUidToMsgn() and JamUidToMsgn()

2002-10-10 Thursday 21:54  sfpavel

	* makefile.djg (smapi-2_2-stable.2): Fix DJGPP build

2002-10-10 Thursday 11:35  sfpavel

	* api_jam.c, structrw.c (smapi-2_2-stable.[4,1]): Apply fixes from
	pgul (Optimize memory usage for huge jam areas;  Update index after
	hdr&text)

2002-10-10 Thursday 06:55  sfpavel

	* makefile.bsd, makefile.bsd4 (tags: smapi-2_2_3-release)
	(smapi-2_2-stable.[1,1]) (utags: smapi-2_2_1-release,
	smapi-2_2_2-release): Disable SEMAPHORES for BSD build

2002-10-08 Tuesday 05:45  sfpavel

	* makefile.mvc, makefile.mvcdll (smapi-2_2-stable.[1,1]) (utags:
	smapi-2_2_1-release, smapi-2_2_2-release, smapi-2_2_3-release): Add
	-DNOSEMAPHORES for mvc makefiles

2002-09-19 Thursday 07:22  sfpavel

	* makefile.djg (smapi-2_2-stable.1): Fix DJGPP build

2002-09-18 Wednesday 13:35  sfpavel

	* file_id.diz, debian/changelog (smapi-2_2-stable.[4,9]): Correct
	release date

2002-09-18 Wednesday 08:35  sfpavel

	* compiler.h (smapi-2_2-stable.3): Fix OS/2 compilation

2002-09-17 Tuesday 08:22  sfpavel

	* Makefile (smapi-2_2-stable.3): Fix previous patch

2002-09-17 Tuesday 06:08  sfpavel

	* Makefile, compiler.h, file_id.diz, makefile.mgw (tags:
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release),
	msgapi.h, semaphor.h, debian/changelog,
	debian/libsmapi2-dev.preinst (tags: smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release)
	(smapi-2_2-stable.[2,2,3,1,1,1,8,2]): Ver. 2.2-RC2: updates from
	current branch

2002-09-11 Wednesday 11:57  mche

	* makefile.aix (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): make fidoconf compilable under AIX

2002-09-11 Wednesday 10:28  mche

	* makefile.aix (1.1): make smapi compilable under AIX

2002-09-05 Thursday 02:51  sfpavel

	* debian/: libsmapi2-dev.links (tags: smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), libsmapi2-dev.preinst
	(smapi-2_2-stable.[1,1]): Add for previous commit...

2002-09-05 Thursday 02:51  sfpavel

	* debian/libsmapi2-dev.preinst (1.1): file libsmapi2-dev.preinst
	was initially added on branch smapi-2_2-stable.

2002-09-05 Thursday 02:51  sfpavel

	* debian/libsmapi2-dev.links (1.1): file libsmapi2-dev.links was
	initially added on branch smapi-2_2-stable.

2002-09-05 Thursday 02:50  sfpavel

	* debian/: changelog, rules (tags: smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release) (smapi-2_2-stable.[7,2]):
	New debian package

2002-08-27 Tuesday 09:22  sfpavel

	* file_id.diz (smapi-2_2-stable.2): Update release date

2002-08-26 Monday 05:04  sfpavel

	* readme.txt, debian/README.Debian (tags: smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), debian/changelog,
	debian/copyright (tags: smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release) (smapi-2_2-stable.[2,1,6,2]): Update http
	location

2002-08-23 Friday 11:14  sfpavel

	* debian/: changelog, shlibs (tags: smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release) (smapi-2_2-stable.[5,2]):
	Correct debian/shlibs

2002-08-22 Thursday 06:22  sfpavel

	* debian/changelog (smapi-2_2-stable.4): Correct apt location (now
	http://husky.sourceforge.net/debian)

2002-08-17 Saturday 07:03  sfpavel

	* debian/changelog (smapi-2_2-stable.3): New debian package

2002-08-01 Thursday 06:27  stas

	* TODO, debian/changelog, debian/control (tags:
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release),
	debian/copyright (smapi-2_2-stable.[1,2,2,1]): Debian package patch
	from Pavel Andreew <pavel@collage.etel.ru>

2002-07-22 Monday 15:27  pavel.gulchouck

	* api_jam.c (smapi-2_2-stable.3): Jam_OpenFile() minor fix

2002-07-22 Monday 15:20  pavel.gulchouck

	* api_jam.c (smapi-2_2-stable.2): Jam_OpenFile() bugfix

2002-07-14 Sunday 16:59  stas

	* compiler.h (smapi-2_2-stable.1): Declare __NT__ for cygwin &
	mingw (MFC).

2002-07-07 Sunday 09:51  pavel.gulchouck

	* api_jam.c (smapi-2_2-stable.1): Create zero-length jdt-file when
	creating new jam area

2002-07-01 Monday 11:43  stas

	* Makefile, debian/changelog, debian/control,
	debian/libsmapi2-dev.postinst, debian/libsmapi2-dev.postrm,
	debian/libsmapi2-dev.prerm, debian/libsmapi2.files,
	debian/libsmapi2.postinst, debian/libsmapi2.postrm,
	debian/libsmapi2.prerm, debian/rules, debian/shlibs
	(smapi-2_2-stable.[1,1,1,1,1,1,1,1,1,1,1,1]): Change version number
	& debian package control files. (Patch from Pavel Andreew
	<pavel@collage.etel.ru>, 2:5080/59)

2002-06-25 Tuesday 13:38  stas

	* VERSION (tags: smapi-2_2_1-release), file_id.diz, readme.txt
	(smapi-2_2-stable.[1,1,1]): Begin smapi-2.2-stable branch. (update
	doc, set VERSION file)

2002-06-23 Sunday 19:57  stas

	* makefile.bsd4 (1.3): Change smapi version to 2.1

2002-06-23 Sunday 19:51  stas

	* makefile.bsd (1.22): Change for support smapi version 2.1

2002-06-21 Friday 13:01  stas

	* makefile.bsd (1.20): Fix install (define INSTALL) ; add uninstall
	; define RM and use it.

2002-06-21 Friday 11:48  pavel.gulchouck

	* makefile.bsd (1.19): 'make install' fix

2002-06-19 Wednesday 15:15  mche

	* compiler.h (1.84): some defines for MSVC

2002-06-17 Monday 21:38  tobi

	* api_jam.c (1.83): bugfix for os/2

2002-06-10 Monday 12:59  mche

	* api_jam.c (1.82), api_jamp.h (1.17, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), api_sdm.c (1.30),
	api_sdm.h (1.4, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release), api_sq.h (1.6, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), sq_help.c (1.6,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release),
	sq_idx.c (1.7, smapi-2_2_2-release, smapi-2_2_1-release), sq_read.c
	(1.6, smapi-2_2_2-release, smapi-2_2_1-release), sq_write.c (1.7,
	smapi-2_2_2-release, smapi-2_2_1-release), structrw.c (1.28): roll
	back previos changes

2002-06-10 Monday 11:44  mche

	* api_jam.c (1.81), api_sdm.c (1.29), ffind.c (1.13,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release),
	msgapi.c (1.26, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release), patmat.c (1.6, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), sq_help.c (1.5),
	sq_idx.c (1.6), sq_read.c (1.5), sq_write.c (1.6), structrw.c
	(1.27): fix type mismatch (under msvc compiler)

2002-06-10 Monday 11:19  pavel.gulchouck

	* api_jam.c (1.80): avoid warnings

2002-05-31 Friday 07:50  pavel.gulchouck

	* api_jam.c (1.79): Check waitlock() retcode in JamWriteMsg

2002-05-31 Friday 07:31  pavel.gulchouck

	* locking.c (1.28): removed static flock struct, it's not
	thread-safe

2002-05-30 Thursday 13:24  stas

	* patmat.c (1.5): Check for NULL string pointers & for parameters
	pointed to one string.

2002-05-28 Tuesday 06:54  pavel.gulchouck

	* date2bin.c (1.8, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): sprintf changed to fts_time

2002-05-19 Sunday 09:00  pavel.gulchouck

	* sq_area.c (1.21, smapi-2_2_2-release, smapi-2_2_1-release): avoid
	warning

2002-05-14 Tuesday 14:12  pavel.gulchouck

	* ffind.h (1.13, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): mingw32 compilation fix

2002-05-07 Tuesday 11:31  mche

	* compiler.h (1.83): make mvcdll version compilable

2002-05-06 Monday 18:01  pavel.gulchouck

	* Makefile (1.23): install/uninstall minor fix (patch from Michael
	Kuzmin)

2002-04-23 Tuesday 18:59  pavel.gulchouck

	* cvtdate.c (1.9), date2bin.c (1.7), progprot.h (1.15): Added
	fts_time()

2002-03-31 Sunday 05:57  ml

	* api_sdm.c (1.28): cleanup

2002-03-20 Wednesday 21:45  pavel.gulchouck

	* api_sdm.c (1.27): Read *.msg >64K fixed

2002-03-19 Tuesday 13:34  mche

	* compiler.h (1.82): added some defines for mcvs compiler

2002-03-07 Thursday 13:35  pavel.gulchouck

	* compiler.h (1.81): mingw32 _sleep() fix

2002-03-05 Tuesday 00:27  joerg.jaspert

	* debian/: changelog (1.10), huskymak.cfg (1.9,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release): New
	Debian Package built

2002-03-04 Monday 18:23  pavel.gulchouck

	* msgapi.c (1.25): Compile errors fix

2002-03-04 Monday 13:26  mche

	* setfsize.c (1.10, smapi-2_2_2-release, smapi-2_2_1-release): fix
	for mvc compiler

2002-03-04 Monday 12:17  pavel.gulchouck

	* msgapi.c (1.24): A bit speedup

2002-03-04 Monday 10:43  ml

	* api_jamp.h (1.16): fixed compilation of dll versions

2002-03-03 Sunday 20:36  pavel.gulchouck

	* api_jam.c (1.78): Extra memory usage fixed

2002-03-03 Sunday 20:14  pavel.gulchouck

	* api_jam.c (1.77): Added some low-level jam api functions

2002-03-01 Friday 13:11  mche

	* makefile.mvcdll (1.4): makefile updates (change optimization)

2002-02-27 Wednesday 15:07  pavel.gulchouck

	* api_sdm.c (1.26): Work with MsgNums but not MsgUids

2002-02-26 Tuesday 08:18  ml

	* msgapi.h (1.41): changes for compiling mscv6 dll version with
	perl support

2002-02-24 Sunday 11:23  mche

	* .cvsignore (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): *.obj

2002-02-20 Wednesday 09:50  ml

	* .cvsignore (1.1): add .cvsignore file

2002-02-17 Sunday 13:28  pavel.gulchouck

	* api_jam.c (1.76): Set HighWaterMark for JAM to UID, not MsgNum

2002-02-15 Friday 07:44  ml

	* setfsize.c (1.9): setfsize() uses chsize() for mingw32

2002-02-14 Thursday 16:20  pavel.gulchouck

	* compiler.h (1.80): "#define chsize _chsize" for mingw32

2002-02-14 Thursday 12:54  mche

	* makefile.mvcdll (1.3): minimized binaries size

2002-02-13 Wednesday 10:42  ml

	* progprot.h (1.14), setfsize.c (1.8): fixed setfsize() for msvc6
	compiler

2002-02-10 Sunday 23:27  pavel.gulchouck

	* fexist.c (1.20, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): MSVC compiling

2002-02-10 Sunday 17:33  pavel.gulchouck

	* compiler.h (1.79), fexist.c (1.19): Fixed mingw32 warnings

2002-02-08 Friday 17:19  mche

	* msgapi.c (1.23), msgapi.h (1.40): - removed win32 specific code

2002-01-29 Tuesday 10:55  mche

	* api_sq.h (1.5), compiler.h (1.78), msgapi.h (1.39): making
	hptsqfix compilable with dlls under win32

2002-01-26 Saturday 13:38  mche

	* compiler.h (1.77): added defenition of snprintf for mvc compiler

2002-01-19 Saturday 13:02  mche

	* msgapi.c (1.22), msgapi.h (1.38): removed win32 specific code

2002-01-10 Thursday 18:05  tobi

	* makefile.wcx (1.14, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release), setfsize.c (1.7): fixes for dos386; nt no
	longer broken

2002-01-08 Tuesday 16:06  ml

	* makefile.bsd (1.18), makefile.bsd4 (1.2): makefile.bsd4 &
	makefile.bsd corrections by Stas Degteff <g@grumbler.org>
	2:5080/102

2002-01-07 Monday 20:09  tobi

	* fexist.c (1.18), makefile.wcx (1.13), setfsize.c (1.6), tdelay.c
	(1.10, smapi-2_2_2-release, smapi-2_2_1-release): Fixes for wcx
	(Watcom C in flat DOS-extended mode), merged from -stable

2002-01-05 Saturday 13:15  mche

	* compiler.h (1.76): added some defines for MSVC

2002-01-03 Thursday 09:30  mche

	* compiler.h (1.75), progprot.h (1.13): build smapimvc.dll with
	msvcrt.dll to provide build sqpack with this dlls fixed bug with
	watcom compilation

2002-01-02 Wednesday 18:07  mche

	* compiler.h (1.74), makefile.mvcdll (1.2), strextra.c (1.4,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release),
	strextra.h (1.5, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): build smapimvc.dll with msvcrt.dll

2002-01-02 Wednesday 12:14  ml

	* ffind.h (1.12): cygwin define

2001-12-27 Thursday 20:11  pavel.gulchouck

	* api_jam.c (1.75): "#ifndef LAZY_WRITE_HDR" changed to "#ifdef
	HARD_WRITE_HDR"

2001-12-27 Thursday 17:47  pavel.gulchouck

	* api_jam.c (1.74): bugfix -- bad TOPT/FMPT/INTL in echomail if
	open without MSGTYPE_ECHO (hptlink, sqpack)

2001-12-27 Thursday 14:01  mche

	* compiler.h (1.73), msgapi.c (1.21), msgapi.h (1.37): - changed
	memory allocation function
	
	conversion from static library to dynamic under win32 makes
	smapimvc.dll  with MSVC compiler

2001-12-27 Thursday 00:40  pavel.gulchouck

	* api_jam.c (1.73): bugfix

2001-12-26 Wednesday 08:41  pavel.gulchouck

	* api_jam.c (1.72): Create jdt-file if not exists

2001-12-25 Tuesday 23:11  pavel.gulchouck

	* api_jam.c (1.71): Write correct ReplyCRC in JAM

2001-12-25 Tuesday 23:02  pavel.gulchouck

	* api_jam.c (1.70): minor fix (code cleanup)

2001-12-24 Monday 07:55  mche

	* compiler.h (1.72), msgapi.c (1.20), msgapi.h (1.36), patmat.c
	(1.4), patmat.h (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release), progprot.h (1.12), makefile.mvcdll (1.1):
	conversion from static library to dynamic under win32 makes
	smapimvc.dll under windows with MSVC compiler

2001-12-23 Sunday 20:08  pavel.gulchouck

	* progprot.h (1.11), structrw.c (1.26): minor bugfix for -DINTEL=1

2001-12-23 Sunday 12:38  pavel.gulchouck

	* api_jam.c (1.69), api_jam.h (1.10, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), api_jamp.h (1.15),
	cvtdate.c (1.8), structrw.c (1.25): Speedup, many changes (a lot of
	jam code rewrited)

2001-12-21 Friday 23:20  pavel.gulchouck

	* api_jam.c (1.68): A bit speedup

2001-12-20 Thursday 19:37  pavel.gulchouck

	* api_jam.c (1.67), fexist.c (1.17), tdelay.c (1.9): Fixes for
	compile under mingw32

2001-12-20 Thursday 17:27  pavel.gulchouck

	* api_jam.c (1.66), api_jam.h (1.9), api_jamp.h (1.14), structrw.c
	(1.24): Jam link (and others) speedup

2001-12-18 Tuesday 16:40  ml

	* api_jam.c (1.65): set msgapierr = MERR_NODS

2001-12-17 Monday 08:14  pavel.gulchouck

	* api_jam.c (1.64): JamWriteMsg returns bad retcode if write fails
	(disk full etc.)

2001-12-13 Thursday 15:46  mche

	* api_jam.c (1.63), api_sdm.c (1.25), fexist.c (1.16), progprot.h
	(1.10), sq_area.c (1.20): fiture - createDirectoryTree moved  from
	hpt/fcommon to smapi/fexist, now when we try to write to msgbase we
	build DirectoryTree if needed it probably increase speed of tossing
	to non passthrough areas.

2001-11-27 Tuesday 13:44  ml

	* compiler.h (1.70): MSVC definitions

2001-11-26 Monday 21:06  tobi

	* makefile.bcd (1.13), makefile.wcd (1.17) (utags:
	smapi-2_2_1-release, smapi-2_2_2-release, smapi-2_2_3-release):
	reduce DOS DGROUP size

2001-11-26 Monday 14:52  tobi

	* setfsize.c (1.5), tdelay.c (1.8): Make smapi compile for DOS
	again.

2001-11-06 Tuesday 07:56  ml

	* compiler.h (1.68), makefile.cyg (1.1, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release), tdelay.c (1.7): cygwin
	adaptation

2001-09-23 Sunday 19:25  pavel.gulchouck

	* compiler.h (1.67): small fix for mingw32

2001-09-18 Tuesday 14:46  pavel.gulchouck

	* compiler.h (1.66): small fix for mingw32

2001-09-18 Tuesday 09:18  pavel.gulchouck

	* api_jam.c (1.62), api_jamp.h (1.13): bugfix: O_EXCL and O_TRUNC
	incompartible under mingw

2001-09-17 Monday 13:07  pavel.gulchouck

	* api_jam.c (1.61), api_jam.h (1.8), structrw.c (1.23): JAM speedup

2001-09-15 Saturday 08:56  pavel.gulchouck

	* api_jam.c (1.60), api_sdm.c (1.24), msgapi.h (1.35): Sqpack saves
	times_read and cost for Jam and Msg msgbases now

2001-09-10 Monday 09:17  pavel.gulchouck

	* api_sdm.c (1.23), api_sdm.h (1.3): Kludge size not limited by 512
	bytes for msg now, read all msg for ctrl info

2001-08-08 Wednesday 19:32  joerg.jaspert

	* debian/: changelog (1.9), huskymak.cfg (1.8), shlibs (1.7):
	Newest Build.

2001-07-27 Friday 13:38  pavel.gulchouck

	* Makefile (1.22): speedup (use '$?' var)

2001-07-24 Tuesday 11:13  pavel.gulchouck

	* api_jam.c (1.59): Assertation fixed when writing message not
	terminated with \r to jam

2001-07-22 Sunday 11:23  twm

	* smapi.pas (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release): As of now I will stop maintaining smapi.pas.
	It turned out that because of the alignment of the structures
	passed between sampi and calling programs is left to the compiler,
	it is likely to need constant rechecking whether the fields are
	still in sync. I am not going to do that.  So this is the last
	update I will post.

2001-07-09 Monday 20:52  joerg.jaspert

	* debian/: changelog (1.8), control (1.5), docs (1.2,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release):
	Smapi has a very bullshit licence so i have to change the section
	to non-free.  NO Husky Program which depend on smapi will ever be
	in the Main Part of Debian just because of this *#censored#*
	licence (you may not sell -> non-free :( )

2001-07-09 Monday 20:51  joerg.jaspert

	* debian/: libsmapi2-dev.postinst (1.1), libsmapi2-dev.postrm
	(1.1), libsmapi2-dev.prerm (1.1), libsmapi2.postinst (1.1),
	libsmapi2.postrm (1.1), libsmapi2.prerm (1.1): Some new files

2001-07-08 Sunday 18:46  joerg.jaspert

	* debian/huskymak.cfg (1.7): Enabled Perl for Debian Packages.

2001-07-02 Monday 20:46  joerg.jaspert

	* debian/: changelog (1.7), shlibs (1.6): Changed shlibs file.
	SONAME of libsmapi2 is libsmapi.so.2.1 and not only libsmapi.so.2
	:)

2001-07-02 Monday 20:45  joerg.jaspert

	* debian/: libsmapi2-dev.dirs (1.1), libsmapi2-dev.files (1.1,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release): 2
	Files with wrong name, shit

2001-07-01 Sunday 18:27  joerg.jaspert

	* debian/: README.Debian (1.4), changelog (1.6), control (1.4),
	huskymak.cfg (1.6), libsmapi2.dirs (1.1), libsmapi2.files (1.1),
	rules (1.4), shlibs (1.5): Rebuild the Package. Now its a real
	library package for debian, splitted into libsmapi and
	libsmapi-dev.

2001-06-26 Tuesday 09:28  tobi

	* makefile.bsd (1.16): removed VER and VERH from legacy makefile
	(which builds static libs and hence does not need this info)

2001-06-02 Saturday 23:23  tobi

	* Makefile (1.21), msgapi.h (1.34): Stepped version number to 2.1.0

2001-06-02 Saturday 23:21  tobi

	* INSTALL (1.7, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release):
	point to huskybse for install instructions

2001-05-26 Saturday 16:52  oliver.grimm

	* api_jam.c (1.58): og: Fixed "path-before-seenby" bug in
	api_jam.c.

2001-05-09 Wednesday 08:56  oliver.grimm

	* api_jam.c (1.57): OG: The kludges should be now in the right
	order in JAM Areas.

2001-05-09 Wednesday 08:42  oliver.grimm

	* api_jam.c (1.56): OG: Speed up and reduce stacke usage in
	freejamsubfield()

2001-05-08 Tuesday 22:38  tobi

	* structrw.c (1.22, smapi-2_0_0-release): bogus fix to stop
	boundary checking from complaining

2001-05-08 Tuesday 22:38  tobi

	* api_jam.c (1.55): fixed coredump when sqpack was run on a jam
	area

2001-05-08 Tuesday 22:34  tobi

	* BEOS.TXT (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release):
	corrected some errors

2001-05-08 Tuesday 22:33  tobi

	* makefile.emo (1.20), makefile.emx (1.12) (utags:
	smapi-2_0_0-release, smapi-2_0_1-release): fixed emx makefiles for
	gmake

2001-05-06 Sunday 19:52  ml

	* .cvs2cl (1.1, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release):
	added .cvs2cl file

2001-05-06 Sunday 11:04  tobi

	* compiler.h (1.65): mode_t for watcom/dos

2001-05-06 Sunday 11:04  tobi

	* api_jam.h (1.7, smapi-2_0_0-release): removed cr's

2001-05-06 Sunday 10:58  tobi

	* compiler.h (1.64): define mode_t for turbo c

2001-05-06 Sunday 10:57  tobi

	* api_jamp.h (1.12, smapi-2_0_0-release): removed cr's

2001-05-06 Sunday 10:55  tobi

	* sq_area.c (1.19, smapi-2_0_0-release): portability fix for DOS

2001-05-06 Sunday 10:52  tobi

	* makefile.bcd (1.12), makefile.djg (1.14, smapi-2_0_1-release,
	smapi-2_0_0-release), makefile.qcd (1.13, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release), makefile.wcd (1.16): -DNOSEMAPHORES for DOS
	makefiles

2001-05-04 Friday 10:08  oliver.grimm

	* msgapi.c (1.19, smapi-2_0_1-release, smapi-2_0_0-release),
	msgapi.h (1.33): OG: Add verion information to the _minf structure

2001-04-30 Monday 06:09  kazimirow

	* tdelay.c (1.6): fixed Sleep(for work with MSVC6)

2001-04-21 Saturday 14:11  joerg.jaspert

	* debian/: changelog (1.5), control (1.3), huskymak.cfg (1.5),
	rules (1.3), shlibs (1.4): Changed it so it compiles now with debug
	enabled. From now on i compile only stable versions without debug.

2001-04-14 Saturday 12:47  tobi

	* debian/huskymak.cfg (1.4): fixed DEBLFLAGS

2001-04-14 Saturday 12:47  tobi

	* debian/README.Debian (1.3): fixed typo

2001-04-14 Saturday 12:45  tobi

	* tdelay.c (1.5): preprocessor directives must start at column #1
	!!!

2001-04-14 Saturday 12:40  tobi

	* sq_help.c (1.4), sq_idx.c (1.5), sq_msg.c (1.5,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release)
	(utags: smapi-2_0_0-release, smapi-2_0_1-release): replaced
	malloc.h with stdlib.h acccording to ANSI C and in order to remove
	warnings on Unix systems

2001-04-13 Friday 13:05  joerg.jaspert

	* debian/: README.Debian (1.2), changelog (1.4), control (1.2),
	huskymak.cfg (1.3), rules (1.2), shlibs (1.3): To much

2001-04-13 Friday 13:04  joerg.jaspert

	* Makefile (1.20): Removed most of my changes.	Changed symlinks to
	be symlinks without path.

2001-04-10 Tuesday 16:13  joerg.jaspert

	* debian/: changelog (1.3), huskymak.cfg (1.2), shlibs (1.2): Error
	in huskymak.

2001-04-10 Tuesday 15:38  joerg.jaspert

	* debian/changelog (1.2): Renamed to 1.6.4u-10 so
	dpkg/dselect/apt-get find it newer than 1.6.4
	
	Could we please increment the version-number for the
	develop-versions everytime we release a stable-package ? So stable
	iss 1.6.4, unstable iss 1.6.5 (stable can go 1.6.4a, 1.6.4b,...)
	The next stable release is 1.6.5 and the develop-version at this
	time goes to 1.6.6 ?

2001-04-10 Tuesday 14:52  joerg.jaspert

	* debian/: README.Debian (1.1), changelog (1.1), control (1.1),
	copyright (1.1), docs (1.1), huskymak.cfg (1.1), rules (1.1),
	shlibs (1.1): The Controlfiles needed to build a debian-Package.

2001-04-10 Tuesday 14:51  joerg.jaspert

	* Makefile (1.19): Hmm, huskymak.cfg is in debian/...  Why do i not
	write it in here ? :)

2001-04-10 Tuesday 14:49  joerg.jaspert

	* Makefile (1.18): Debian specific changes. Included in
	ifeq...else...endif

2001-03-18 Sunday 08:34  oliver.grimm

	* huskylib/: Makefile (1.1), compiler.h (1.1), locking.c (1.1),
	locking.h (1.1) (utags: smapi-2_2_1-release, smapi-2_2_2-release,
	smapi-2_2_3-release, smapi-2_0_0-release, smapi-2_0_1-release): OG:
	Initial release.

2001-03-15 Thursday 22:59  tobi

	* api_jam.c (1.52), semaphor.c (1.10, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release): portability fix

2001-03-07 Wednesday 19:33  oliver.grimm

	* locking.c (1.27, smapi-2_0_1-release, smapi-2_0_0-release): OG:
	Uhh. Fixed missing parameter in waitlock2() under OS/2 ...

2001-03-06 Tuesday 19:44  oliver.grimm

	* locking.c (1.26), sq_lock.c (1.18, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release), sq_write.c (1.5, smapi-2_0_1-release,
	smapi-2_0_0-release), tdelay.c (1.4): OG: Some Win32 specified
	fixes.

2001-03-03 Saturday 14:48  oliver.grimm

	* locking.c (1.25), sq_lock.c (1.17): OG: Making locking more
	smooth when using tdelay(). Now trys every 1/10s.

2001-03-03 Saturday 14:38  oliver.grimm

	* locking.c (1.24): OG: Displaced all mysleep() with tdelay() -
	mysleep isn't used anymore.

2001-03-03 Saturday 14:21  oliver.grimm

	* sq_area.c (1.18), sq_lock.c (1.16): OG: When locking fails,
	fLocked flags that base is locked. fixed.

2001-03-03 Saturday 14:02  oliver.grimm

	* msgapi.h (1.32), sq_area.c (1.17), sq_lock.c (1.15): OG: Some
	ALTLOCKING fixes.

2001-03-03 Saturday 13:41  oliver.grimm

	* compiler.h (1.63), locking.c (1.23), msgapi.c (1.16), msgapi.h
	(1.31), sq_area.c (1.16), sq_lock.c (1.14): OG: Some changes to
	make filelocking smoother on most modern os (*ix, os2).

2001-03-03 Saturday 11:14  oliver.grimm

	* compiler.h (1.62), makefile.bcd (1.11), makefile.bcw (1.10,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release,
	smapi-2_0_1-release, smapi-2_0_0-release), makefile.be (1.4,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	makefile.bsd (1.15), makefile.djg (1.13), makefile.emx (1.11),
	makefile.lnx (1.27), makefile.mgw (1.11, smapi-2_0_1-release,
	smapi-2_0_0-release), makefile.mvc (1.4, smapi-2_0_1-release,
	smapi-2_0_0-release), makefile.qcd (1.12), makefile.rxw (1.13,
	smapi-2_2_3-release, smapi-2_2_2-release, smapi-2_2_1-release,
	smapi-2_0_1-release, smapi-2_0_0-release), makefile.sun (1.16),
	makefile.unx (1.15, smapi-2_0_1-release, smapi-2_0_0-release),
	makefile.wcd (1.15), makefile.wcw (1.18, smapi-2_2_1-release,
	smapi-2_0_1-release, smapi-2_0_0-release), makefile.wcx (1.12,
	smapi-2_0_0-release), sq_lock.c (1.13), tdelay.c (1.3): OG: Added
	native mysleep for Linux, BeOS and SunOS/Solaris.  OG: Changed
	behavior of locking Squishbases. MsgLock() won't sleep forever. 
	OG: Updating makefile.xxx ! (tdelay.o(bj) is missing in some of
	them)

2001-03-02 Friday 18:54  oliver.grimm

	* api_jam.c (1.49), api_jam.h (1.6), api_jamp.h (1.11), structrw.c
	(1.21): OG: Jam should now work on non-intel systems (sparc,
	alpha...) OG: Fixed a memory allocation bug in structrw.c.

2001-02-27 Tuesday 19:26  oliver.grimm

	* locking.c (1.22), semaphor.c (1.9), sq_lock.c (1.12): OG: Some
	bugfixes in locking & semphores.

2001-02-23 Friday 14:00  tobi

	* semaphor.c (1.8), sq_hash.c (1.4, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release), sq_help.c (1.3), sq_idx.c (1.4), sq_read.c
	(1.4, smapi-2_0_1-release, smapi-2_0_0-release), sq_write.c (1.4):
	portability fixes for borland c

2001-02-11 Sunday 16:44  oliver.grimm

	* api_sdm.c (1.22, smapi-2_0_0-release): More attributes and
	filetyping for BeOS !

2001-02-11 Sunday 16:43  oliver.grimm

	* BEOS.TXT (1.1): BeOS specified info's !

2001-02-10 Saturday 14:00  oliver.grimm

	* api_sdm.c (1.21): Added support for attributes under BeOS with
	BFS Filesystems.  (today only the "from"-Field is implemented - for
	a first test)

2001-01-26 Friday 16:11  ml

	* TODO (1.2), makefile.sun (1.15), semaphor.h (1.9,
	smapi-2_0_1-release, smapi-2_0_0-release): nosem on sun

2001-01-26 Friday 02:03  pavel.gulchouck

	* api_jam.c (1.48): jam path & seen-by lost by hpt link fixed

2001-01-25 Thursday 21:20  pavel.gulchouck

	* api_jam.c (1.47): TZUTC redundant space removed

2001-01-24 Wednesday 10:35  pavel.gulchouck

	* api_jam.c (1.46): JAM write speedup

2001-01-16 Tuesday 00:45  tobi

	* api_sdm.c (1.20), compiler.h (1.60), makefile.bco (1.11,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	makefile.emo (1.19), makefile.hco (1.11, smapi-2_2_1-release,
	smapi-2_0_1-release, smapi-2_0_0-release), makefile.ibo (1.16,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	makefile.wco (1.13, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release): portability fixes for os/2

2001-01-16 Tuesday 00:31  tobi

	* compiler.h (1.59), semaphor.c (1.7): portability fixes for
	wtacom/2

2001-01-07 Sunday 17:23  oliver.grimm

	* sq_area.c (1.15), sq_lock.c (1.11): og: Urgs. Removing some ugly
	debugging-messages.

2001-01-07 Sunday 17:15  oliver.grimm

	* compiler.h (1.58), locking.c (1.21), msgapi.h (1.30), sq_area.c
	(1.14), sq_lock.c (1.10): og: Some changes to get alternative
	locking running.

2001-01-07 Sunday 15:06  oliver.grimm

	* compiler.h (1.57): og: If ALTLOCKING defined, declare alternative
	locking functions.

2001-01-07 Sunday 15:05  oliver.grimm

	* sq_area.c (1.13): og: Initialising lck_path in _msgapi if
	ALTLOCKING is used.

2001-01-07 Sunday 15:04  oliver.grimm

	* sq_lock.c (1.9): og: If ALTLOCKING is defined, use
	alternative-locking instead of the 'normal' one.

2001-01-07 Sunday 15:03  oliver.grimm

	* locking.c (1.20): og: Alternative locking-functions. (Begin with
	"alt_")

2001-01-07 Sunday 15:02  oliver.grimm

	* msgapi.h (1.29): OG: Add char *lck_path to _msgapi structure.

2000-12-05 Tuesday 21:35  sms

	* compiler.h (1.55): added mode_t for Watcom/NT

2000-12-03 Sunday 17:59  sms

	* Makefile (1.17): using RMOPT from huskymak.cfg

2000-12-03 Sunday 15:51  sms

	* api_jam.c (1.45), api_jamp.h (1.10), api_sdm.c (1.19), msgapi.h
	(1.28), sq_area.c (1.12): permissions fix (different permissions
	for netmail/echomail, but the same for all formats)

2000-10-16 Monday 18:10  tobi

	* api_jam.c (1.44): fix for my last checkin

2000-10-15 Sunday 20:09  tobi

	* api_jam.c (1.43), api_jamp.h (1.9): reduced memory fragmentation
	in JAM api

2000-10-15 Sunday 19:56  tobi

	* semaphor.h (1.8): workaround for emx os2 and msged

2000-10-15 Sunday 12:18  ml

	* api_jam.c (1.42), makefile.emo (1.18), msgapi.h (1.27): see
	ChangeLog Oct 15

2000-10-14 Saturday 20:03  tobi

	* api_sdm.c (1.18), sq_area.c (1.11), sq_hash.c (1.3), sq_help.c
	(1.2), sq_idx.c (1.3), sq_kill.c (1.3, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	sq_lock.c (1.8), sq_misc.c (1.4, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	sq_msg.c (1.4), sq_read.c (1.3), sq_uid.c (1.4,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release), sq_write.c (1.3), structrw.c (1.19), tdelay.c
	(1.2): changes to make smapi compile with emx on os/2 fcntl.h must
	come AFTER sys/types.h !!!

2000-10-14 Saturday 18:46  ml

	* api_jam.c (1.41): * JAM fix: hpt link works good after deleting
	msgs from golded

2000-10-14 Saturday 17:31  ml

	* api_jam.c (1.40), strftim.c (1.2, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release): JAM fix: sqpack don't crashes on areas when
	msgs deleted from golded

2000-10-11 Wednesday 16:48  tobi

	* api_jam.c (1.39): fixed typo

2000-10-10 Tuesday 21:18  tobi

	* api_jam.c (1.38): don't rely on result of sizeof for disk io!

2000-10-09 Monday 03:06  ml

	* ffind.c (1.12, smapi-2_0_1-release, smapi-2_0_0-release):
	FFindOpen() postfix

2000-10-07 Saturday 07:10  ml

	* ffind.c (1.11): fixed bug in FFindOpen()

2000-10-03 Tuesday 16:16  tobi

	* api_jam.c (1.37), msgapi.h (1.26): create a mapping for
	JMSG_IMMEDIATE

2000-10-02 Monday 22:16  tobi

	* api_jam.c (1.35): map JMSG_DIRECT to MSGXX2

2000-09-17 Sunday 11:49  tobi

	* cvtdate.c (1.7, smapi-2_0_1-release, smapi-2_0_0-release):
	cosmetic fix

2000-09-16 Saturday 13:31  ml

	* makefile.sun (1.14), semaphor.h (1.7): solaris bugfix

2000-09-13 Wednesday 07:40  ml

	* structrw.c (1.18): JAM linking with empty msg subjects

2000-09-11 Monday 03:57  ml

	* api_jam.c (1.34): jam fix

2000-09-07 Thursday 19:59  sms

	* Makefile (1.16): installing api_jam.h into INCDIR/smapi

2000-09-06 Wednesday 10:57  ml

	* semaphor.h (1.6), setfsize.c (1.3): see changeLog Sep 06

2000-09-05 Tuesday 16:49  ml

	* makefile.lnx (1.25), structrw.c (1.17): get_word get_dword fix

2000-09-05 Tuesday 16:06  ml

	* api_jam.c (1.33): jam updates

2000-09-04 Monday 10:07  ml

	* Makefile (1.15), api_jam.c (1.32), api_sdm.c (1.17), makefile.lnx
	(1.24), msgapi.h (1.24), semaphor.c (1.6), semaphor.h (1.5),
	setfsize.c (1.2), sq_area.c (1.10), sq_idx.c (1.2), sq_lock.c
	(1.7), sq_msg.c (1.3), sq_uid.c (1.3): see changelog sep 04

2000-09-03 Sunday 12:52  ml

	* api_jam.c (1.31), cvtdate.c (1.6), makefile.emx (1.10): see
	ChangeLog Sep 03

2000-08-29 Tuesday 17:02  ml

	* api_jam.c (1.30): jam fix

2000-08-28 Monday 12:47  sms

	* sq_area.c (1.9): fixed segfault if area could not be opened

2000-08-27 Sunday 14:07  sms

	* Makefile (1.14): remove existing files before creating symlinks
	(-f option of ln does not always work :( )

2000-08-24 Thursday 20:29  oliver.grimm

	* locking.c (1.19): Some BeOS specified changes

2000-08-24 Thursday 20:16  oliver.grimm

	* makefile.bcd (1.10), makefile.bco (1.10), makefile.bcw (1.9),
	makefile.be (1.3), makefile.bsd (1.14), makefile.djg (1.12),
	makefile.emo (1.17), makefile.emx (1.9), makefile.hco (1.10),
	makefile.ibo (1.15), makefile.lnx (1.23), makefile.mgw (1.10),
	makefile.mvc (1.3), makefile.qcd (1.11), makefile.rxw (1.12),
	makefile.sun (1.13), makefile.unx (1.14), makefile.wcd (1.14),
	makefile.wco (1.12), makefile.wcw (1.17), makefile.wcx (1.11): Add
	missing setfsize.c

2000-08-24 Thursday 13:55  sms

	* sq_lock.c (1.6): fixed return value of _sqlock

2000-08-24 Thursday 13:24  sms

	* sq_misc.c (1.3), sq_read.c (1.2): renamed apiSquishHash back to
	SquishHash, renamed SquishReadMsg to apiSquishReadMsg in sq_read.c

2000-08-24 Thursday 13:19  sms

	* api_sqp.h (1.7, smapi-2_2_2-release, smapi-2_2_1-release,
	smapi-2_0_1-release, smapi-2_0_0-release), compiler.h (1.54),
	sq_area.c (1.7), sq_hash.c (1.2), sq_kill.c (1.2), sq_lock.c (1.5),
	sq_misc.c (1.2), sq_msg.c (1.2), sq_uid.c (1.2), sq_write.c (1.2):
	renamed exported Squish*-functions to apiSquish* to prevent name
	collisions (e.g. in MsgEd)

2000-08-24 Thursday 12:40  sms

	* msgapi.c (1.15): added missing _SquishInit call in MsgOpenApi

2000-08-24 Thursday 12:18  sms

	* msgapi.c (1.14), sq_area.c (1.6): init semaphores for squish
	routines in MsgOpenApi, destroy them in MsgCloseApi

2000-08-24 Thursday 10:11  sms

	* Makefile (1.13): added semaphor.o to objects

2000-08-23 Wednesday 19:32  oliver.grimm

	* makefile.bcd (1.9), makefile.bco (1.9), makefile.bcw (1.8),
	makefile.be (1.2), makefile.bsd (1.13), makefile.djg (1.11),
	makefile.emo (1.16), makefile.emx (1.8), makefile.hco (1.9),
	makefile.ibo (1.14), makefile.lnx (1.22), makefile.mgw (1.9),
	makefile.mvc (1.2), makefile.qcd (1.10), makefile.rxw (1.11),
	makefile.sun (1.12), makefile.unx (1.13), makefile.wcd (1.13),
	makefile.wco (1.11), makefile.wcw (1.16), makefile.wcx (1.10):
	Hopfully working old-style makefiles

2000-08-23 Wednesday 19:17  oliver.grimm

	* semaphor.c (1.5): System V semaphores now working

2000-08-23 Wednesday 19:16  oliver.grimm

	* msgapi.h (1.23): Removed #pragma pack(1)

2000-08-23 Wednesday 05:18  oliver.grimm

	* semaphor.c (1.4): Minor fixed

2000-08-23 Wednesday 05:08  oliver.grimm

	* sq_area.c (1.5), sq_lock.c (1.4): Out-Sourced multithreadding to
	semaphor.c

2000-08-23 Wednesday 05:07  oliver.grimm

	* semaphor.c (1.3), semaphor.h (1.4): Reincarnation of semaphor.c

2000-08-21 Monday 22:44  sms

	* Makefile (1.12): added dynamic lib to target all

2000-08-21 Monday 13:15  sms

	* Makefile (1.11): added target uninstall

2000-08-21 Monday 06:12  oliver.grimm

	* sq_area.c (1.4), sq_lock.c (1.3): Remove temporarly semaphores
	from unix-version

2000-08-20 Sunday 07:52  oliver.grimm

	* sq_area.c (1.3): Fix two styles of semctl functions

2000-08-18 Friday 16:58  oliver.grimm

	* sq_area.c (1.2): Lx support for Semaphores

2000-08-14 Monday 18:03  oliver.grimm

	* date2bin.c (1.5): Fix for empty __FTSC_DATE field

2000-08-14 Monday 17:00  oliver.grimm

	* api_jam.c (1.29), api_sdm.c (1.16), locking.c (1.18), msgapi.c
	(1.13), setfsize.c (1.1), sq_area.c (1.1), sq_hash.c (1.1),
	sq_help.c (1.1), sq_idx.c (1.1), sq_kill.c (1.1), sq_lock.c (1.1),
	sq_misc.c (1.1), sq_msg.c (1.1), sq_read.c (1.1), sq_uid.c (1.1),
	sq_write.c (1.1), structrw.c (1.16), tdelay.c (1.1), api_jamp.h
	(1.8), api_sdmp.h (1.3, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	api_sq.h (1.4, smapi-2_0_1-release, smapi-2_0_0-release), api_sqp.h
	(1.6), msgapi.h (1.22), progprot.h (1.8), Makefile (1.10): Complete
	new Squish-API

2000-08-13 Sunday 08:16  oliver.grimm

	* BUGS (1.5): BeOS Bug added

2000-08-13 Sunday 08:10  oliver.grimm

	* semaphor.h (1.2): License notes added.

2000-08-13 Sunday 07:59  oliver.grimm

	* msgapi.c (1.12): Added multithreading support

2000-08-13 Sunday 07:59  oliver.grimm

	* Makefile (1.9): Added semaphor.c

2000-08-13 Sunday 07:58  oliver.grimm

	* semaphor.c (1.1), semaphor.h (1.1): Initial version of
	multithreading support.

2000-08-12 Saturday 14:31  oliver.grimm

	* api_sq.h (1.3), api_sqp.h (1.5), msgapi.c (1.11): Added open-area
	and open-message lists. When closing an area all messages will be
	closed. MsgCloseApi will also close all open areas

2000-08-07 Monday 19:50  oliver.grimm

	* msgapi.c (1.10): Add some TODO's - no other changes

2000-08-06 Sunday 23:16  tobi

	* Makefile (1.8): renamed LD variable to MKSHARED

2000-08-05 Saturday 16:48  oliver.grimm

	* compiler.h (1.53): Added BeOS support

2000-07-25 Tuesday 15:08  ml

	* BUGS (1.3), api_jam.c (1.26): jam @Via fixes

2000-07-21 Friday 05:32  sms

	* TODO (1.1): Added TODO

2000-07-14 Friday 09:50  tobi

	* makefile.wcd (1.12), makefile.wco (1.10), makefile.wcw (1.15),
	makefile.wcx (1.9): watcom makefiles cosmetic fix

2000-07-07 Friday 21:47  tobi

	* compiler.h (1.50), makefile.mgw (1.8): Adapted MINGW32 code to
	the latest mingw32 vers www.mingw.org.

2000-07-07 Friday 00:37  tobi

	* makefile.ibo (1.13): fixed ibm makefile

2000-07-05 Wednesday 11:46  tobi

	* flush.c (1.9, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release),
	makefile.wcd (1.11), progprot.h (1.7): more watcom fixes

2000-07-05 Wednesday 11:13  tobi

	* api_jam.c (1.24), compiler.h (1.49), flush.c (1.8), makefile.wcd
	(1.10), progprot.h (1.6): some changes for Watcom/DOS

2000-07-05 Wednesday 10:05  tobi

	* compiler.h (1.48): watcom fix

2000-07-05 Wednesday 00:02  tobi

	* compiler.h (1.47): fix for watcom/2

2000-06-08 Thursday 17:22  tobi

	* compiler.h (1.46): Fixes to make smapi work on HPUX

2000-05-24 Wednesday 15:55  sms

	* Makefile (1.5): changed gcc to CC-macro in Makefile

2000-05-23 Tuesday 16:42  tobi

	* Makefile (1.4): Added the "all" target

2000-05-23 Tuesday 09:56  sms

	* Makefile (1.3): added target all to Makefile

2000-05-22 Monday 12:54  mt

	* Makefile (1.2): changed version number

2000-04-21 Friday 11:14  sms

	* Makefile (1.1): renamed makefile.husky to Makefile

2000-04-16 Sunday 21:27  nestyurkin.nikolay

	* makefile.wcw (1.14): struct. pack remove (-zp=1)

2000-04-16 Sunday 10:54  tobi

	* makefile.sun (1.11, smapi-1_6_4b-release, smapi-1_6_4a-release):
	sun makefile fixes

2000-04-15 Saturday 21:01  tobi

	* makefile.lnx (1.21, smapi-1_6_4b-release, smapi-1_6_4a-release):
	small fix

2000-04-15 Saturday 18:09  tobi

	* prog.h (1.2): fixed include statements to match new 8.3 filenames

2000-04-15 Saturday 12:04  tobi

	* flush.c (1.6): Fixed RSXNT bug

2000-04-12 Wednesday 20:29  tobi

	* makefile.ibo (1.12), makefile.wcd (1.9), makefile.wco (1.9):
	legacy makefile fixes

2000-04-09 Sunday 22:16  tobi

	* ffind.c (1.9), ffind.h (1.10): removed the last realm of pragma
	pack from smapi

2000-04-09 Sunday 21:30  tobi

	* compiler.h (1.44), msgapi.h (1.19): removed remaining pragma
	pack()'s

2000-04-09 Sunday 16:30  tobi

	* compiler.h (1.43): Turbo C fix

2000-04-09 Sunday 14:15  nestyurkin.nikolay

	* ffind.h (1.9): #pragma pack() fix for Watcom & DJGPP

2000-04-09 Sunday 14:11  nestyurkin.nikolay

	* ffind.h (1.8), msgapi.h (1.18): #pragma pack() fix for Watcom &
	DJGPP

2000-04-08 Saturday 09:33  tobi

	* makefile.unx (1.12, smapi-1_6_4b-release, smapi-1_6_4a-release),
	makefile.wcd (1.8), makefile.wco (1.8), makefile.wcw (1.13),
	makefile.wcx (1.8): legacy makefile fixes

2000-04-08 Saturday 08:36  tobi

	* compiler.h (1.42): solaris fix

2000-04-08 Saturday 08:35  tobi

	* makefile.sun (1.10): legacy makefile fixes

2000-04-08 Saturday 08:32  tobi

	* ffind.h (1.7), makefile.rxw (1.10, smapi-1_6_4b-release,
	smapi-1_6_4a-release): rsxnt fixes, legacy makefile fixes

2000-04-08 Saturday 01:04  tobi

	* compiler.h (1.41): cosmetics

2000-04-08 Saturday 01:03  tobi

	* compiler.h (1.40), locking.c (1.16), makefile.qcd (1.9,
	smapi-1_6_4b-release, smapi-1_6_4a-release): More Quick C fixes

2000-04-08 Saturday 00:16  tobi

	* api_jam.c (1.18), api_sqp.h (1.3), compiler.h (1.39), locking.c
	(1.15), makefile.qcd (1.8): Bugfixes for Quick C / Microsoft C

2000-04-07 Friday 22:51  tobi

	* makefile.mgw (1.7): legacy makefile fixes

2000-04-04 Tuesday 16:38  tobi

	* makefile.lnx (1.20): legacy makefile fixes

2000-04-04 Tuesday 16:16  tobi

	* makefile.bcw (1.7), makefile.ibo (1.11): legacy makefile fix

2000-04-04 Tuesday 16:16  tobi

	* makefile.hco (1.8, smapi-1_6_4b-release, smapi-1_6_4a-release):
	hco legacy makefile fix

2000-04-04 Tuesday 16:15  tobi

	* fexist.c (1.12), makefile.emx (1.5, smapi-1_6_4b-release,
	smapi-1_6_4a-release): Removed warnings for emx, and legacy
	makefile fixes

2000-04-04 Tuesday 16:13  tobi

	* locking.c (1.14), makefile.emo (1.13, smapi-1_6_4b-release,
	smapi-1_6_4a-release), parsenn.c (1.2, smapi-2_2_3-release,
	smapi-2_2_2-release, smapi-2_2_1-release, smapi-2_0_1-release,
	smapi-2_0_0-release, smapi-1_6_4b-release, smapi-1_6_4a-release):
	Removed warnings for EMO, and makefile fixes

2000-04-04 Tuesday 16:09  tobi

	* makefile.djg (1.10, smapi-1_6_4b-release, smapi-1_6_4a-release):
	legacy makefile fixes

2000-04-04 Tuesday 16:00  tobi

	* compiler.h (1.38), locking.c (1.13), makefile.bco (1.8,
	smapi-1_6_4b-release, smapi-1_6_4a-release): Removed warnings for
	Borland C OS/2

2000-04-04 Tuesday 15:52  tobi

	* makefile.bcd (1.8, smapi-1_6_4b-release, smapi-1_6_4a-release):
	legacy makefile fixes

2000-04-04 Tuesday 15:51  tobi

	* api_jam.c (1.17), api_sdm.c (1.13), structrw.c (1.9): Removed
	warnings for Borland C DOS

2000-04-01 Saturday 10:12  tobi

	* fexist.c (1.11): fexist.c didn't compile on UNIX

2000-03-31 Friday 15:57  tobi

	* compiler.h (1.37), fexist.c (1.10), flush.c (1.4), locking.c
	(1.12), msgapi.h (1.17), patmat.c (1.3, smapi-2_0_1-release,
	smapi-2_0_0-release, smapi-1_6_4b-release, smapi-1_6_4a-release):
	Fr  31 Mar 2000 17:53:23 CEST tobi (patches mostly from Alex S.
	Aganichev) * Modified the routines in fexist.c to use stat() if
	available, instead   of opendir/readdir/closedir. This should speed
	up things a lot and also   produce more reliable results.  * Some
	small corrections in compiler.h for various compilers.	* Fixed
	flush_handle2 for DJGPP and for RSXNT (the RSXNT code previously  
	did use wrong handle numbers, which could produce very interesting 
	 results ...) * Accelerated patmat routine for sequences with
	multiple wildcards.  * Added shareloaded function for DJGPP.

2000-03-26 Sunday 11:37  tobi

	* compiler.h (1.36): NetBSD fix.

2000-03-23 Thursday 17:08  tobi

	* compiler.h (1.35): Undone my wrong change regarding tell

2000-03-23 Thursday 12:45  tobi

	* compiler.h (1.34): Fix for Solaris.

2000-03-13 Monday 22:47  sms

	* makefile.bsd (1.11), makefile.lnx (1.19), makefile.sun (1.8),
	makefile.unx (1.11): updated legacy makefiles

2000-03-07 Tuesday 14:34  tobi

	* compiler.h (1.32): fixed mkdir for osf

2000-03-05 Sunday 20:25  tobi

	* makefile.lnx (1.18): Fixed missing TAB

2000-02-10 Thursday 08:24  sms

	* makefile.lnx (1.17): added ldconfig to makefile.husky and
	makefile.lnx of smapi and fidoconfig

2000-01-16 Sunday 13:13  sms

	* INSTALL (1.6): added reference to husky-common-package to
	INSTALL; updated makefile.husky

1999-12-31 Friday 01:01  tobi

	* makefile.emx (1.4): ...

1999-12-31 Friday 01:00  tobi

	* makefile.emx (1.3): sorry ....

1999-12-31 Friday 00:59  tobi

	* compiler.h (1.31):  Fixed a structure packing problem with DJGPP.

1999-12-29 Wednesday 11:34  mt

	* makefile.bsd (1.10), makefile.lnx (1.16), makefile.unx (1.10):
	more version changes added

1999-12-14 Tuesday 23:52  tobi

	* date2bin.c (1.4, smapi-1_6_4b-release, smapi-1_6_4a-release): -
	Fixed serious  Y2K bug in the SMAPI. This one affects the SDM part 
	 (Fido *.MSG) of the SMAPI as well as all programs that call  
	ASCII_Date_To_Binary.

1999-12-12 Sunday 08:05  tobi

	* cvtdate.c (1.5): Fixed Y2K bug in the SMAPI. It does not affect
	Squish and Msg, but JAM, and it does affect any program (no matter
	what storage type) that explicitly calls the sc_time routine. The
	bug results in years 2000 ... 2009 being filled in as "0" .. "9"
	instead of "00" .. "09".

1999-12-06 Monday 13:17  tobi

	* makefile.unx (1.9): Re-added generic UNIX makefile

1999-11-30 Tuesday 21:15  sms

	* api_jam.c (1.14), api_sdm.c (1.12): fixed some misuses of ++ in
	api_jam.c and api_sdm.c

1999-11-28 Sunday 11:50  tobi

	* makefile.mgw (1.6): Fix for Mingw32 makefile

1999-11-28 Sunday 00:39  tobi

	* compiler.h (1.30), makefile.emx (1.1), msgapi.h (1.15): Some
	portability fixes for mgw

1999-11-27 Saturday 23:43  tobi

	* compiler.h (1.29), msgapi.h (1.14): fix for emx

1999-11-27 Saturday 12:22  tobi

	* compiler.h (1.28): Fix for Borland C

1999-11-27 Saturday 12:13  tobi

	* makefile.bcd (1.7), makefile.bco (1.7), makefile.bcw (1.6),
	makefile.emo (1.12), makefile.hco (1.7), makefile.ibo (1.10),
	makefile.mgw (1.5), makefile.qcd (1.7), makefile.rxw (1.9),
	makefile.wcd (1.7), makefile.wco (1.7), makefile.wcx (1.7): Fixed
	makefiles

1999-11-27 Saturday 11:31  tobi

	* compiler.h (1.27): Small fix for Borland C

1999-11-10 Wednesday 14:06  peter.karlsson

	* api_jam.c (1.13): Also adds the "date arrived" field.

1999-10-24 Sunday 21:55  tobi

	* makefile.bsd (1.9): Fixed BSD makefile (JAM api)

1999-10-24 Sunday 16:14  tobi

	* makefile.lnx (1.15): Fixes spaces (replaced with TABs)

1999-10-21 Thursday 07:13  mt

	* cvtdate.c (1.4), patmat.c (1.2): fixed some date code

1999-10-20 Wednesday 20:56  tobi

	* makefile.bcd (1.6), makefile.bco (1.6), makefile.bcw (1.5),
	makefile.bsd (1.8), makefile.djg (1.9), makefile.emo (1.11),
	makefile.hco (1.6), makefile.ibo (1.9), makefile.lnx (1.14),
	makefile.mgw (1.4), makefile.qcd (1.6), makefile.rxw (1.8),
	makefile.sun (1.6), makefile.wcd (1.6), makefile.wco (1.6),
	makefile.wcw (1.8), makefile.wcx (1.6): Reintroduced the original
	"legacy" makefiles.

1999-10-20 Wednesday 20:44  tobi

	* api_jam.c (1.11): Removed CRs. Oups.

1999-10-20 Wednesday 20:21  tobi

	* msgapi.h (1.13), progprot.h (1.3): Code style fixes.

1999-10-17 Sunday 18:15  tobi

	* fexist.c (1.6): djgpp fixes

1999-10-17 Sunday 14:05  tobi

	* makefile.djg (1.8): Renamed Makefile.djd to Makefile.djg.

1999-10-15 Friday 11:09  tobi

	* makefile.bsd (1.7): Added -c arguments for install

1999-10-14 Thursday 16:07  sms

	* makefile.djg (1.7), makefile.unx (1.8): reorganized Makefiles,
	read husky-common/README.Makefiles \!\!\!

1999-10-14 Thursday 15:40  sms

	* makefile.bcd (1.5), makefile.bco (1.5), makefile.bcw (1.4),
	makefile.bsd (1.6), makefile.emo (1.10), makefile.hco (1.5),
	makefile.ibo (1.8), makefile.lnx (1.13), makefile.mgw (1.3),
	makefile.qcd (1.5), makefile.rxw (1.7), makefile.sun (1.5),
	makefile.wcd (1.5), makefile.wco (1.5), makefile.wcw (1.7),
	makefile.wcx (1.5): reorganized Makefiles, read
	husky-common/README.Makefiles \!\!\!

1999-10-12 Tuesday 07:28  tobi

	* ffind.h (1.5): Really ugly workaround for a watcom c problem.
	Better rewrite ffind.c!

1999-10-12 Tuesday 07:17  tobi

	* api_jam.c (1.10), api_jamp.h (1.5), structrw.c (1.8): Fxied
	warnings abound signed/unsigned char pointer conversions

1999-10-09 Saturday 20:55  tobi

	* api_jam.c (1.9), makefile.djg (1.6): Portability changes for -
	Borland C (api_jam.c) - DJGPP (makefile.djg)

1999-09-27 Monday 11:48  mt

	* file_id.diz (1.2, smapi-2_0_1-release, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release): removed whatsnew.txt,
	use Chengelog now

1999-09-24 Friday 09:07  mt

	* INSTALL (1.5), makefile.lnx (1.12): release updates

1999-09-23 Thursday 21:05  mt

	* api_sdm.c (1.11): bugfixes

1999-09-06 Monday 13:47  tobi

	* api_jamp.h (1.2), api_jam.c (1.3), api_jam.h (1.3): Removed
	carriage returns

1999-09-06 Monday 13:31  tobi

	* compiler.h (1.25), makefile.unx (1.7), msgapi.h (1.10): Removed
	superfluous pragma pack statements.

1999-08-31 Tuesday 23:15  sms

	* smapi.pas (1.1, smapi-2_0_0-release, smapi-1_6_4b-release,
	smapi-1_6_4a-release): added pascal unit smapi.pas

1999-07-26 Monday 20:13  mt

	* INSTALL (1.4): changed INSTALL to the right version numbers

1999-07-11 Sunday 09:41  mt

	* compiler.h (1.24), makefile.lnx (1.10): does work under libc2.1
	now

1999-06-27 Sunday 22:26  tobi

	* alc.h (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release), compiler.h (1.23),
	fexist.c (1.4), ffind.c (1.6), ffind.h (1.4), flush.c (1.3),
	locking.c (1.10), makefile.ibo (1.6), makefile.wcw (1.5), msgapi.h
	(1.8), structrw.c (1.5): - Bug fix for CSet/2: *.MSG was not
	working (couldn't open Msg Area) - Important bug fix for RSXNT and
	MINGW32 compiler: Binaries created   with those compilers
	completely messed up *.MSG areas.  - Numerous changes to the code
	to make it compile with MINGW32.  - Removed CRs from makefile.wcw

1999-06-27 Sunday 22:21  tobi

	* makefile.mgw (1.1): Added makefile.mgw. This makefile is for the
	MingW32 GNU C compiler.  This is a compiler that generates Windows
	95/98/NT binaries. It has two main advantages: First, it creates
	very small executables, because it uses CRTDLL.DLL as its C runtime
	library. Second, "MINGW32 CPD" is a cross compiler edition of this
	compiler that can be used to compile Windows binaries on Unix
	boxes.

1999-06-27 Sunday 14:25  tobi

	* compiler.h (1.22), flush.c (1.2), locking.c (1.9), makefile.ibo
	(1.5), typedefs.h (1.3, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release): Some small changes for
	IBM CSet/2

1999-05-16 Sunday 23:23  mt

	* locking.c (1.8), makefile.emo (1.8): updates

1999-04-09 Friday 09:02  mt

	* INSTALL (1.3), VERSION (1.3): removed autoconf files because they
	do not work correct and create much confusion, sorry Michael

1999-03-06 Saturday 23:09  tobi

	* compiler.h (1.18), makefile.emo (1.7): Fixes for Borland C / OS/2

1999-03-01 Monday 18:56  mt

	* makefile.djg (1.4), msgapi.h (1.7) (utags: smapi-1_5_6): djgpp
	updates

1999-02-09 Tuesday 10:28  mt

	* COPYING (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release, smapi-1_5_6), VERSION
	(1.2, smapi-1_5_6), makefile.lnx (1.9, smapi-1_5_6), msgapi.h
	(1.6): changed the makefiles to generate a smapilnx with version
	1.5.6 which is the right value

1999-02-07 Sunday 07:20  me

	* COPYING (1.1): and the rest of it

1999-02-07 Sunday 07:18  me

	* VERSION (1.1): more files

1999-02-01 Monday 19:51  mt

	* INSTALL (1.2, smapi-1_5_6), api_sdm.c (1.9, smapi-1_5_6),
	makefile.lnx (1.8): changed rights for created files and dirs under
	unix

1999-02-01 Monday 18:28  tobi

	* api_sdm.c (1.8), msgapi.c (1.7, smapi-1_5_6): Portability fixes
	for DEC OSF C and other strict ANSI C compilers.

1999-02-01 Monday 17:21  tobi

	* typedefs.h (1.2, smapi-1_5_6): 64 bit fix

1999-01-29 Friday 22:56  tobi

	* structrw.c (1.4, smapi-1_5_6): Removed some warnings

1999-01-28 Thursday 23:45  fjoe

	* makefile.bsd (1.4, smapi-1_5_6): build shared smapi library along
	with static one.

1999-01-28 Thursday 16:11  tobi

	* date2bin.c (1.3, smapi-1_5_6): removed cr's

1999-01-27 Wednesday 17:58  mt

	* msgapi.h (1.5): added MSGLOCKED from Golded

1999-01-25 Monday 23:32  me

	* compiler.h (1.17, smapi-1_5_6): the changes to make kfe compile
	without warings.  Hopes this doesn't break anything else.  ME

1999-01-22 Friday 12:24  tobi

	* date2bin.c (1.2): Important Year 2000 fix.

1999-01-08 Friday 17:04  tobi

	* makefile.unx (1.5, smapi-1_5_6): final version of the unix
	makefile ... on systems which do not support shared objects, you
	will have to do install by hand.

1999-01-08 Friday 16:19  tobi

	* makefile.unx (1.4): fix for the install target ...

1999-01-08 Friday 16:13  tobi

	* makefile.unx (1.3): Added an "install" target to makefile.unx

1998-12-29 Tuesday 19:33  mt

	* compiler.h (1.16): directories have been created with wrong mode

1998-12-27 Sunday 17:43  mt

	* locking.c (1.7), makefile.emo (1.6) (utags: smapi-1_5_6): added
	watcom to locking.c

1998-12-17 Thursday 22:44  mt

	* compiler.h (1.15): fixes by Kolya

1998-12-14 Monday 15:22  mtt

	* compiler.h (1.14), makefile.sun (1.3, smapi-1_5_6): got it
	working on an ultrasparc

1998-11-26 Thursday 12:50  tobi

	* locking.c (1.6): Removed CRs ...

1998-11-23 Monday 13:41  mt

	* api_sdm.c (1.7): fixed a bug with double kludges

1998-11-18 Wednesday 11:24  mt

	* api_sdm.c (1.6): does not put double kludge in sdm

1998-10-18 Sunday 20:22  mt

	* makefile.lnx (1.7): added -fPIC option to makefile

1998-10-12 Monday 09:28  tobi

	* msgapi.c (1.6): Dear Matthias,
	
	not all C compilers understand C++ style comments in plain C source
	code.
	
	:-)

1998-10-07 Wednesday 20:25  mt

	* msgapi.c (1.5): removed the code which removes intl, fmpt and
	topt kludges from message text.  Nobody should change the msg->text
	written by the user or the editor.

1998-09-22 Tuesday 23:22  tobi

	* locking.c (1.5): small fix for borland c (dos)

1998-09-22 Tuesday 22:04  tobi

	* makefile.bcw (1.2), makefile.rxw (1.5) (utags: smapi-1_5_6):
	Adaptions to the NT makefile to prevent obscure bugs ...

1998-09-16 Wednesday 22:13  tobi

	* makefile.emo (1.5): Fix for the EMX (OS/2) makefile: Use -Zsys so
	that no runtime is needed, and fix the makefile to be usable with
	gmake.

1998-09-16 Wednesday 22:13  tobi

	* makefile.lnx (1.6): Small fix.

1998-09-16 Wednesday 22:12  tobi

	* makefile.rxw (1.4): Restructured the RSXNT makefile.

1998-09-16 Wednesday 22:12  tobi

	* compiler.h (1.13), makefile.bcw (1.1): Ported to Borland C 4.0
	for Windows NT

1998-09-15 Tuesday 15:35  tobi

	* makefile.ibo (1.4, smapi-1_5_6): Fixed makefile.ibo for VAC++ 3.0

1998-08-19 Wednesday 21:24  tobi

	* makefile.rxw (1.3): small change

1998-08-17 Monday 07:21  tobi

	* compiler.h (1.12): Fix for DJGPP

1998-08-13 Thursday 11:25  mt

	* api_sdm.c (1.5): bugfix

1998-08-13 Thursday 11:23  mt

	* ffind.c (1.5, smapi-1_5_6): bugfixes for unix

1998-08-08 Saturday 12:38  mt

	* compiler.h (1.11), ffind.c (1.4), structrw.c (1.3): fixed
	unix-relevant parts of ffind.c	fixed by gert troeger fixed *.msg
	handling in structrw.c	  fixed by gert troeger

1998-07-28 Tuesday 13:39  tobi

	* locking.c (1.4): Fixed record locking for RSXNT compiler.

1998-07-25 Saturday 00:07  tobi

	* api_sqp.h (1.2, smapi-1_5_6), compiler.h (1.10), locking.c (1.3),
	makefile.bcd (1.3, smapi-1_5_6), makefile.bco (1.3, smapi-1_5_6),
	makefile.djg (1.3), makefile.hco (1.3, smapi-1_5_6), makefile.ibo
	(1.3), makefile.qcd (1.3, smapi-1_5_6), makefile.sun (1.2),
	makefile.wcd (1.3, smapi-1_5_6), makefile.wco (1.3, smapi-1_5_6),
	makefile.wcw (1.3, smapi-1_5_6), makefile.wcx (1.3, smapi-1_5_6):
	Bug fixes and enhancements on the record locking and Squish locking
	routines.

1998-07-23 Thursday 11:00  tobi

	* locking.c (1.2), makefile.rxw (1.2): Implemented record locking
	for the RSXNT version.

1998-07-23 Thursday 11:00  tobi

	* compiler.h (1.9): Fixed a missing prototype.

1998-07-22 Wednesday 13:54  tobi

	* compiler.h (1.8), locking.c (1.1), makefile.bsd (1.3),
	makefile.emo (1.4), makefile.lnx (1.5), makefile.unx (1.2): Rewrote
	the record locking routines for Unix to use fcntl() instead of
	flock() because fcntl() is more portable and also supports file
	locking via NFS-mounted volumes. Tested on AIX and OSF only, I hope
	this does not break the Linux version. :-). In case of problems:
	e-mail tobi@bland.fido.de

1998-07-16 Thursday 09:02  tobi

	* compiler.h (1.7): Small change for AIX 3.2

1998-07-10 Friday 17:41  tobi

	* compiler.h (1.6): Quick hack to allow the SMAPI to compile on
	Non-BSD systems. This partially removes some of the locking
	mechanisms previously introduced. I will fix it rightly later on.

1998-07-09 Thursday 22:52  tobi

	* compiler.h (1.5), msgapi.h (1.4): Introduced locking mechanism
	with flock on Unix. Changed the locking mode to "blocking", which
	means that the program will simply stop until the area it wants to
	use is released. This is a dirty hack, but as 99% of
	MSGAPI-programs do not check for any return codes, it seems to be
	the only safe way to do it.

1998-07-09 Thursday 22:48  tobi

	* structrw.c (1.2): Fixed a bug in structrw.c that could lead to
	message base corruption under certain circumstances (especially on
	small areas).

1998-07-06 Monday 09:20  tobi

	* compiler.h (1.4): Oops ...

1998-06-30 Tuesday 22:25  tobi

	* compiler.h (1.3), makefile.emo (1.3): The UNIX version now uses
	flock() for squish locking. Better than nothing.

1998-06-30 Tuesday 08:10  tobi

	* stamp.h (1.2, smapi-1_5_6): Cosmetic fix to make it compile on
	AIX 3.2

1998-06-29 Monday 06:56  tobi

	* api_sdm.c (1.4), makefile.unx (1.1), readme.txt (1.3,
	smapi-2_0_1-release, smapi-2_0_0-release, smapi-1_6_4b-release,
	smapi-1_6_4a-release, smapi-1_5_6): - Added a generic UNIX makefile
	that should work with any set of cc, ld and   ranlib.  - Removed
	special characters from api_sdm.c.

1998-06-07 Sunday 19:06  mt

	* makefile.lnx (1.4): forgot what i've changed :-)

1998-06-03 Wednesday 20:46  mt

	* msgapi.c (1.4): fixed bug in NumKludges

1998-05-27 Wednesday 22:39  tobi

	* api_sdm.c (1.3), api_sdm.h (1.2, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release, smapi-1_5_6), api_sq.h
	(1.2, smapi-1_6_4b-release, smapi-1_6_4a-release, smapi-1_5_6),
	compiler.h (1.2), cvtdate.c (1.3, smapi-1_5_6), fexist.c (1.3,
	smapi-1_5_6), ffind.c (1.3), ffind.h (1.2, smapi-1_5_6),
	makefile.bcd (1.2), makefile.bco (1.2), makefile.bsd (1.2),
	makefile.djg (1.2), makefile.emo (1.2), makefile.hco (1.2),
	makefile.ibo (1.2), makefile.lnx (1.3), makefile.qcd (1.2),
	makefile.rxw (1.1), makefile.wcd (1.2), makefile.wco (1.2),
	makefile.wcw (1.2), makefile.wcx (1.2), msgapi.c (1.3), msgapi.h
	(1.3), old_msg.h (1.2, smapi-2_2_3-release, smapi-2_2_2-release,
	smapi-2_2_1-release, smapi-2_0_1-release, smapi-2_0_0-release,
	smapi-1_6_4b-release, smapi-1_6_4a-release, smapi-1_5_6),
	readme.txt (1.2), structrw.c (1.1): Changes done on 05/28/98 by
	Tobias Ernst:
	
	  - Removed all structure-packing and endianness dependencies. The
	new
	    portable I/O routines are collected in structrw.c. We could now
	    totally leave out the whole #pragma pack stuff if we want, and
	the
	    SMAPI should work on big endian and even more exotic machines.
	
	  - Ported the SMAPI to GNU C for Windows NT using RSXNT/EMX.
	Because
	    I had to use a Win32 API called FindClose, I had to rename the
	    SMAPI-internal routines FindOpen, FindNext and FindClose to
	    FFindOpen, FFindNext and FFindClose.

1998-05-27 Wednesday 16:33  mt

	* makefile.lnx (1.2): added generating of shared library

1998-05-21 Thursday 16:17  mt

	* INSTALL (1.1): added INSTALL file

1998-05-20 Wednesday 09:08  mt

	* makefile.sun (1.1): added smapi makefile for sun

1998-05-19 Tuesday 16:48  mt

	* msgapi.h (1.2): changed order of including the header-files to
	preserve pragma pack statements (

1998-05-11 Monday 07:50  tw

	* api_sdm.c (1.2), cvtdate.c (1.2), fexist.c (1.2), ffind.c (1.2),
	msgapi.c (1.2): smapi_1_4_a:  files from smchange

1998-05-11 Monday 07:40  tw

	* alc.h (1.1), api_sdm.c (1.1), api_sdm.h (1.1), api_sdmp.h (1.1),
	api_sq.h (1.1), api_sqp.h (1.1), compiler.h (1.1), cvtdate.c (1.1),
	date2bin.c (1.1), fexist.c (1.1), ffind.c (1.1), ffind.h (1.1),
	file_id.diz (1.1), flush.c (1.1), makefile.bcd (1.1), makefile.bco
	(1.1), makefile.bsd (1.1), makefile.djg (1.1), makefile.emo (1.1),
	makefile.hco (1.1), makefile.ibo (1.1), makefile.lnx (1.1),
	makefile.qcd (1.1), makefile.wcd (1.1), makefile.wco (1.1),
	makefile.wcw (1.1), makefile.wcx (1.1), msgapi.c (1.1), msgapi.h
	(1.1), old_msg.h (1.1), parsenn.c (1.1), patmat.c (1.1), patmat.h
	(1.1), prog.h (1.1), progprot.h (1.1), readme.txt (1.1), stamp.h
	(1.1), strextra.c (1.1), strextra.h (1.1), strftim.c (1.1),
	typedefs.h (1.1): Initial revision

1998-05-11 Monday 07:40  tw

	* 1stchar.c (1.1.1.1), api_brow.h (1.1.1.1), apidebug.h (1.1.1.1),
	dosdate.c (1.1.1.1), dr.h (1.1.1.1), flushasm.asm (1.1.1.1),
	licence.txt (1.1.1.1), months.c (1.1.1.1), qksort.c (1.1.1.1),
	sqasm.asm (1.1.1.1), strocpy.c (1.1.1.1), trail.c (1.1.1.1),
	unused.h (1.1.1.1), weekday.c (1.1.1.1) (utags:
	smapi-1_6_4b-release, smapi-1_5_6, smapi-2_0_0-release,
	smapi-2_0_1-release, smapi-2_2_1-release, smapi-2_2_2-release,
	smapi-2_2_3-release, smapi_1_4, smapi-1_6_4a-release): smapi 1.4

